/**
 * Copyright (C) 2012 Google, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onebusaway.uk.network_rail.gtfs_realtime.model;

public class TrainMovementBody {

  private String actualTimestamp;
  private String autoExpected;
  private String canxReasonCode;
  private String canxTimestamp;
  private String canxType;
  private String cooTimestamp;
  private String correctionInd;
  private String creationTimestamp;
  private String currentTrainId;
  private String d1266RecordNumber;
  private String delayMonitoringPoint;
  private String depTimestamp;
  private String directionInd;
  private String divisionCode;
  private String eventSource;
  private String eventTimestamp;
  private String eventType;
  private String gbttTimestamp;
  private String lineInd;
  private String locStanox;
  private String nextReportRunTime;
  private String nextReportStanox;
  private String offrouteInd;
  private String origLocStanox;
  private String origLocTimestamp;
  private String originDepTimestamp;
  private String originalLocStanox;
  private String originalLocTimestamp;
  private String plannedEventType;
  private String plannedTimestamp;
  private String platform;
  private String reasonCode;
  private String reinstatementTimestamp;
  private String reportingStanox;
  private String revisedTrainId;
  private String route;
  private String schedOriginStanox;
  private String scheduleSource;
  private String scheduleStartDate;
  private String scheduleEndDate;
  private String scheduleType;
  private String scheduleWttId;
  private String timetableVariation;
  private String tocId;
  private String tpOriginStanox;
  private String tpOriginTimestamp;
  private String trainCallMode;
  private String trainCallType;
  private String trainFileAddress;
  private String trainId;
  private String trainServiceCode;
  private String trainTerminated;
  private String trainUid;
  private String variationStatus;
  private String wttId;

  public String getActualTimestamp() {
    return actualTimestamp;
  }

  public void setActualTimestamp(String actualTimestamp) {
    this.actualTimestamp = actualTimestamp;
  }

  public String getAutoExpected() {
    return autoExpected;
  }

  public void setAutoExpected(String autoExpected) {
    this.autoExpected = autoExpected;
  }

  public String getCanxReasonCode() {
    return canxReasonCode;
  }

  public void setCanxReasonCode(String canxReasonCode) {
    this.canxReasonCode = canxReasonCode;
  }

  public String getCanxTimestamp() {
    return canxTimestamp;
  }

  public void setCanxTimestamp(String canxTimestamp) {
    this.canxTimestamp = canxTimestamp;
  }

  public String getCanxType() {
    return canxType;
  }

  public void setCanxType(String canxType) {
    this.canxType = canxType;
  }

  public String getCooTimestamp() {
    return cooTimestamp;
  }

  public void setCooTimestamp(String cooTimestamp) {
    this.cooTimestamp = cooTimestamp;
  }

  public String getCorrectionInd() {
    return correctionInd;
  }

  public void setCorrectionInd(String correctionInd) {
    this.correctionInd = correctionInd;
  }

  public String getCreationTimestamp() {
    return creationTimestamp;
  }

  public void setCreationTimestamp(String creationTimestamp) {
    this.creationTimestamp = creationTimestamp;
  }

  public String getCurrentTrainId() {
    return currentTrainId;
  }

  public void setCurrentTrainId(String currentTrainId) {
    this.currentTrainId = currentTrainId;
  }

  public String getD1266RecordNumber() {
    return d1266RecordNumber;
  }

  public void setD1266RecordNumber(String d1266RecordNumber) {
    this.d1266RecordNumber = d1266RecordNumber;
  }

  public String getDelayMonitoringPoint() {
    return delayMonitoringPoint;
  }

  public void setDelayMonitoringPoint(String delayMonitoringPoint) {
    this.delayMonitoringPoint = delayMonitoringPoint;
  }

  public String getDepTimestamp() {
    return depTimestamp;
  }

  public void setDepTimestamp(String depTimestamp) {
    this.depTimestamp = depTimestamp;
  }

  public String getDirectionInd() {
    return directionInd;
  }

  public void setDirectionInd(String directionInd) {
    this.directionInd = directionInd;
  }

  public String getDivisionCode() {
    return divisionCode;
  }

  public void setDivisionCode(String divisionCode) {
    this.divisionCode = divisionCode;
  }

  public String getEventSource() {
    return eventSource;
  }

  public void setEventSource(String eventSource) {
    this.eventSource = eventSource;
  }

  public String getEventTimestamp() {
    return eventTimestamp;
  }

  public void setEventTimestamp(String eventTimestamp) {
    this.eventTimestamp = eventTimestamp;
  }

  public String getEventType() {
    return eventType;
  }

  public void setEventType(String eventType) {
    this.eventType = eventType;
  }

  public String getGbttTimestamp() {
    return gbttTimestamp;
  }

  public void setGbttTimestamp(String gbttTimestamp) {
    this.gbttTimestamp = gbttTimestamp;
  }

  public String getLineInd() {
    return lineInd;
  }

  public void setLineInd(String lineInd) {
    this.lineInd = lineInd;
  }

  public String getLocStanox() {
    return locStanox;
  }

  public void setLocStanox(String locStanox) {
    this.locStanox = locStanox;
  }

  public String getNextReportRunTime() {
    return nextReportRunTime;
  }

  public void setNextReportRunTime(String nextReportRunTime) {
    this.nextReportRunTime = nextReportRunTime;
  }

  public String getNextReportStanox() {
    return nextReportStanox;
  }

  public void setNextReportStanox(String nextReportStanox) {
    this.nextReportStanox = nextReportStanox;
  }

  public String getOffrouteInd() {
    return offrouteInd;
  }

  public void setOffrouteInd(String offrouteInd) {
    this.offrouteInd = offrouteInd;
  }

  public String getOrigLocStanox() {
    return origLocStanox;
  }

  public void setOrigLocStanox(String origLocStanox) {
    this.origLocStanox = origLocStanox;
  }

  public String getOrigLocTimestamp() {
    return origLocTimestamp;
  }

  public void setOrigLocTimestamp(String origLocTimestamp) {
    this.origLocTimestamp = origLocTimestamp;
  }

  public String getOriginDepTimestamp() {
    return originDepTimestamp;
  }

  public void setOriginDepTimestamp(String originDepTimestamp) {
    this.originDepTimestamp = originDepTimestamp;
  }

  public String getOriginalLocStanox() {
    return originalLocStanox;
  }

  public void setOriginalLocStanox(String originalLocStanox) {
    this.originalLocStanox = originalLocStanox;
  }

  public String getOriginalLocTimestamp() {
    return originalLocTimestamp;
  }

  public void setOriginalLocTimestamp(String originalLocTimestamp) {
    this.originalLocTimestamp = originalLocTimestamp;
  }

  public String getPlannedEventType() {
    return plannedEventType;
  }

  public void setPlannedEventType(String plannedEventType) {
    this.plannedEventType = plannedEventType;
  }

  public String getPlannedTimestamp() {
    return plannedTimestamp;
  }

  public void setPlannedTimestamp(String plannedTimestamp) {
    this.plannedTimestamp = plannedTimestamp;
  }

  public String getPlatform() {
    return platform;
  }

  public void setPlatform(String platform) {
    this.platform = platform;
  }

  public String getReasonCode() {
    return reasonCode;
  }

  public void setReasonCode(String reasonCode) {
    this.reasonCode = reasonCode;
  }

  public String getReinstatementTimestamp() {
    return reinstatementTimestamp;
  }

  public void setReinstatementTimestamp(String reinstatementTimestamp) {
    this.reinstatementTimestamp = reinstatementTimestamp;
  }

  public String getReportingStanox() {
    return reportingStanox;
  }

  public void setReportingStanox(String reportingStanox) {
    this.reportingStanox = reportingStanox;
  }

  public String getRevisedTrainId() {
    return revisedTrainId;
  }

  public void setRevisedTrainId(String revisedTrainId) {
    this.revisedTrainId = revisedTrainId;
  }

  public String getRoute() {
    return route;
  }

  public void setRoute(String route) {
    this.route = route;
  }

  public String getSchedOriginStanox() {
    return schedOriginStanox;
  }

  public void setSchedOriginStanox(String schedOriginStanox) {
    this.schedOriginStanox = schedOriginStanox;
  }

  public String getScheduleSource() {
    return scheduleSource;
  }

  public void setScheduleSource(String scheduleSource) {
    this.scheduleSource = scheduleSource;
  }

  public String getScheduleStartDate() {
    return scheduleStartDate;
  }

  public void setScheduleStartDate(String scheduleStartDate) {
    this.scheduleStartDate = scheduleStartDate;
  }

  public String getScheduleEndDate() {
    return scheduleEndDate;
  }

  public void setScheduleEndDate(String scheduleEndDate) {
    this.scheduleEndDate = scheduleEndDate;
  }

  public String getScheduleType() {
    return scheduleType;
  }

  public void setScheduleType(String scheduleType) {
    this.scheduleType = scheduleType;
  }

  public String getScheduleWttId() {
    return scheduleWttId;
  }

  public void setScheduleWttId(String scheduleWttId) {
    this.scheduleWttId = scheduleWttId;
  }

  public String getTimetableVariation() {
    return timetableVariation;
  }

  public void setTimetableVariation(String timetableVariation) {
    this.timetableVariation = timetableVariation;
  }

  public String getTocId() {
    return tocId;
  }

  public void setTocId(String tocId) {
    this.tocId = tocId;
  }

  public String getTpOriginStanox() {
    return tpOriginStanox;
  }

  public void setTpOriginStanox(String tpOriginStanox) {
    this.tpOriginStanox = tpOriginStanox;
  }

  public String getTpOriginTimestamp() {
    return tpOriginTimestamp;
  }

  public void setTpOriginTimestamp(String tpOriginTimestamp) {
    this.tpOriginTimestamp = tpOriginTimestamp;
  }

  public String getTrainCallMode() {
    return trainCallMode;
  }

  public void setTrainCallMode(String trainCallMode) {
    this.trainCallMode = trainCallMode;
  }

  public String getTrainCallType() {
    return trainCallType;
  }

  public void setTrainCallType(String trainCallType) {
    this.trainCallType = trainCallType;
  }

  public String getTrainFileAddress() {
    return trainFileAddress;
  }

  public void setTrainFileAddress(String trainFileAddress) {
    this.trainFileAddress = trainFileAddress;
  }

  public String getTrainId() {
    return trainId;
  }

  public void setTrainId(String trainId) {
    this.trainId = trainId;
  }

  public String getTrainServiceCode() {
    return trainServiceCode;
  }

  public void setTrainServiceCode(String trainServiceCode) {
    this.trainServiceCode = trainServiceCode;
  }

  public String getTrainTerminated() {
    return trainTerminated;
  }

  public void setTrainTerminated(String trainTerminated) {
    this.trainTerminated = trainTerminated;
  }

  public String getTrainUid() {
    return trainUid;
  }

  public void setTrainUid(String trainUid) {
    this.trainUid = trainUid;
  }

  public String getVariationStatus() {
    return variationStatus;
  }

  public void setVariationStatus(String variationStatus) {
    this.variationStatus = variationStatus;
  }

  public String getWttId() {
    return wttId;
  }

  public void setWttId(String wttId) {
    this.wttId = wttId;
  }
}
